## ros-rolling-chomp-motion-planner 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(chomp_motion_planner LANGUAGES CXX)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(moveit_core REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rsl REQUIRED)
find_package(trajectory_msgs REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  moveit_core
  rclcpp
  rsl
  trajectory_msgs
  visualization_msgs
)

include_directories(
  include
)

add_library(chomp_motion_planner SHARED
  src/chomp_cost.cpp
  src/chomp_parameters.cpp
  src/chomp_trajectory.cpp
  src/chomp_optimizer.cpp
  src/chomp_planner.cpp
)
set_target_properties(chomp_motion_planner PROPERTIES VERSION "${chomp_motion_planner_VERSION}")
ament_target_dependencies(chomp_motion_planner ${THIS_PACKAGE_INCLUDE_DEPENDS})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)
  set(ament_cmake_lint_cmake_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

install(
  TARGETS chomp_motion_planner
  EXPORT chomp_motion_plannerTargets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include/chomp_motion_planner
)
install(DIRECTORY include/ DESTINATION include/chomp_motion_planner)

ament_export_targets(chomp_motion_plannerTargets HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_EXPORT_DEPENDS})

ament_package()

## ros-rolling-chomp-motion-planner 2.4.0

=== debian/changelog ===
ros-rolling-chomp-motion-planner (2.4.0-1focal) focal; urgency=high

  * Replace NULL with nullptr (#961 <https://github.com/ros-planning/moveit2/issues/961>)
    * Fixes #841 <https://github.com/ros-planning/moveit2/issues/841>
  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke, Stephanie Eng

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-chomp-motion-planner (2.3.2-1focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-chomp-motion-planner (2.3.1-1focal) focal; urgency=high

  * Replaced C-Style Cast with C++ Style Cast. (#935 <https://github.com/ros-planning/moveit2/issues/935>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Port CHOMP Motion Planner to ROS 2 (#809 <https://github.com/ros-planning/moveit2/issues/809>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: David V. Lu!!, Henning Kayser, Kaustubh, Parthasarathy Bana, Robert Haschke, Sencer Yazıcı, andreas-botbuilt, pvanlaar

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 23 Dec 2021 07:00:00 -0000

ros-rolling-chomp-motion-planner (1.1.1-1focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 13 Oct 2020 06:00:00 -0000

ros-rolling-chomp-motion-planner (1.1.0-1focal) focal; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Unified Collision Environment Integration (#1584 <https://github.com/ros-planning/moveit/issues/1584>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix calculation of potential (#1651 <https://github.com/ros-planning/moveit/issues/1651>)
  * [fix] Fix Chomp planning adapter (#1525 <https://github.com/ros-planning/moveit/issues/1525>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Bence Magyar, Dave Coleman, Jens P, Jonathan Binney, Markus Vieth, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 04 Sep 2020 06:00:00 -0000

ros-rolling-chomp-motion-planner (1.0.6-1focal) focal; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 19 Aug 2020 06:00:00 -0000

ros-rolling-chomp-motion-planner (1.0.5-1focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 08 Jul 2020 06:00:00 -0000

ros-rolling-chomp-motion-planner (1.0.4-1focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 30 May 2020 06:00:00 -0000

ros-rolling-chomp-motion-planner (1.0.3-1focal) focal; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Remove GCC extensions (#1583 <https://github.com/ros-planning/moveit/issues/1583>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]   Fix possible division-by-zero (#1809 <https://github.com/ros-planning/moveit/issues/1809>)
  * Contributors: Max Krichenbauer, Robert Haschke, Sean Yen, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 26 Apr 2020 06:00:00 -0000

ros-rolling-chomp-motion-planner (1.0.2-1focal) focal; urgency=high

  * [fix] Fix chomp planner (#1512 <https://github.com/ros-planning/moveit/issues/1512>)
    * Fix start-state handling
    * remove time parameterization from planning code
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 28 Jun 2019 06:00:00 -0000

ros-rolling-chomp-motion-planner (1.0.1-1focal) focal; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 08 Mar 2019 07:00:00 -0000

ros-rolling-chomp-motion-planner (1.0.0-1focal) focal; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 24 Feb 2019 07:00:00 -0000

ros-rolling-chomp-motion-planner (0.10.8-1focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 24 Dec 2018 07:00:00 -0000



=== debian/control ===
Source: ros-rolling-chomp-motion-planner
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-rclcpp, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/chomp_motion_planner
Standards-Version: 3.9.2

Package: ros-rolling-chomp-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-moveit-core, ros-rolling-rclcpp, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Description: chomp_motion_planner

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-chomp-motion-planner//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-chomp-motion-planner 2.8.0

=== debian/changelog ===
ros-rolling-chomp-motion-planner (2.8.0-2jammy) jammy; urgency=high

  * Always set response planner id and warn if it is not set (#2236 <https://github.com/ros-planning/moveit2/issues/2236>)
  * Contributors: Sebastian Jahr

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-chomp-motion-planner (2.7.4-2jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-chomp-motion-planner (2.7.3-2jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-chomp-motion-planner (2.7.2-2jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-chomp-motion-planner (2.7.1-2jammy) jammy; urgency=high

  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-chomp-motion-planner (2.7.0-2jammy) jammy; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/9225971216885490e933ece25390c63ca14f8a58
  * Switch to clang-format-14 (#1877 <https://github.com/ros-planning/moveit2/issues/1877>)
    * Switch to clang-format-14
    * Fix clang-format-14
  * Change log level of CHOMP runtime output and change kdl print (#1818 <https://github.com/ros-planning/moveit2/issues/1818>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Used C++ style cast instead of C style cast  (#1628 <https://github.com/ros-planning/moveit2/issues/1628>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Use a stronger source of randomness (#1721 <https://github.com/ros-planning/moveit2/issues/1721>)
    * Remove use of deprecated std::random_shuffle
    * Replace random number generators with rsl::rng
    * Utilize rsl::uniform_real
  * Fix segfaults in CHOMP (#3204 <https://github.com/ros-planning/moveit2/issues/3204>)
    * due to missing description_
    * in case of an unspecified input trajectory
  * Contributors: Abhijeet Das Gupta, Abishalini, Chris Thrasher, Christian Henkel, Cory Crean, Henning Kayser, Robert Haschke, Sebastian Jahr

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 28 Jan 2023 23:00:00 -0000

ros-rolling-chomp-motion-planner (2.6.0-2jammy) jammy; urgency=high

  * Replace C array with std::array in std::vector template argument to improve compatibility with clang compiler and libc++ (#1612 <https://github.com/ros-planning/moveit2/issues/1612>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * updated comment formatting for correct doxygen generation (#1582 <https://github.com/ros-planning/moveit2/issues/1582>)
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>)
  * Contributors: Michael Wrock, Sebastian Jahr, Vatan Aksoy Tezer, light-tech

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 09 Nov 2022 23:00:00 -0000

ros-rolling-chomp-motion-planner (2.5.3-2jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 27 Jul 2022 22:00:00 -0000

ros-rolling-chomp-motion-planner (2.5.2-2jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Contributors: Henry Moore, Jafar, Vatan Aksoy Tezer

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 17 Jul 2022 22:00:00 -0000

ros-rolling-chomp-motion-planner (2.5.1-2jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 30 May 2022 22:00:00 -0000

ros-rolling-chomp-motion-planner (2.5.0-2jammy) jammy; urgency=high

  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Merge https://github.com/ros-planning/moveit/commit/424a5b7b8b774424f78346d1e98bf1c9a33f0e78
  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit2/issues/2955>)
  * Contributors: Abishalini, Jafar, Rick Staa, Robert Haschke, jeoseo

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 25 May 2022 22:00:00 -0000

ros-rolling-chomp-motion-planner (2.4.0-2jammy) jammy; urgency=high

  * Replace NULL with nullptr (#961 <https://github.com/ros-planning/moveit2/issues/961>)
    * Fixes #841 <https://github.com/ros-planning/moveit2/issues/841>
  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke, Stephanie Eng

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 19 Jan 2022 23:00:00 -0000

ros-rolling-chomp-motion-planner (2.3.2-2jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 28 Dec 2021 23:00:00 -0000



=== debian/control ===
Source: ros-rolling-chomp-motion-planner
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-rclcpp, ros-rolling-rsl, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/chomp_motion_planner
Standards-Version: 3.9.2

Package: ros-rolling-chomp-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-rclcpp, ros-rolling-rsl, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Description: chomp_motion_planner

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
